package com.persagy.server.services

import com.persagy.server.datacenter.models.entities.task.CategoryStatistics
import com.persagy.server.datacenter.models.entities.task.ModelScanTaskQuery
import com.persagy.server.services.task.EquipScanTaskQueryService
import com.persagy.server.services.task.ModelScanTaskQueryService
import org.springframework.stereotype.Service

/**
 * Description
 *
 * @author:linhuili
 * @date:2021/10/27
 */
@Service
class StatisticsCountService{
    /**
     * 分类统计
     */
    fun categoryStatistics(projectId:String,id: String,equipId: String): ArrayList<CategoryStatistics>{
        //"SELECT class_code as code,(SELECT name FROM dict.def_class WHERE code = class_code  LIMIT 1 ) as name, COUNT(class_code) FROM scantask.equip_scan_task WHERE task_parent_id = #{id} AND parent_id = #{equipId} GROUP BY class_code"
        return EquipScanTaskQueryService.categoryStatistics(projectId,id,equipId)
    }

    /**
     * 统计模型设备部件类型以及数量
     */
    fun categoryStatisticsModel(projectId:String,id: String,equipId: String): ArrayList<CategoryStatistics>{
        //"SELECT mt.class_code as code,(SELECT name FROM dict.def_class WHERE code = mt.class_code LIMIT 1 ) as name, COUNT(class_code) FROM scantask.model_scan_task mt WHERE mt.task_parent_id = #{id} AND mt.parent_id = #{equipId} GROUP BY mt.class_code"
        return ModelScanTaskQueryService.categoryStatisticsModel(projectId,id,equipId)
    }
}
